Subject: Re: external list "type"

From: Alexandros Vellis <[email-masked]>
Date: Mon, 1 Sep 2008 13:14:15 +0300

On Mon, 11 Aug 2008 14:16:38 -0700
Kristin Hubner <[email-masked]> wrote:

(snip)
> That is, in addition to allowing the :list <test-name> <list-name>
> form or
> :list <test-name> :<opaque-full-url> forms, I'd like to be able to do 
> something
> perhaps more like:
> 
> :list <test-name> <list-name> ":ldap"
> :list <test-name> <list-name> ":http"
(snip)

I believe the purpose of the two methods is to allow
implementation-dependant schemes for <list-name>s in the former case.

Personally I don't see a great need for what you are suggesting. Both
forms, with regeard to plain users, are intended to be hidden
behind a user interface, where the user would probably have drop-down
boxes of his ldap groups or addressbook lists.

As an alternative, you could put your additional argument in
<list-name>, for instance as a prefix, as in "ldap-group-foo" or
"http-my-hostname-or-something".

> That is, for our 
> implementation, algorithmic
> construct of the full URLs for external lists, possibly accessed 
> diffferently for different
> lists, gets more feasible if in addition to Sieve owner and a 
> user-friendly list-name, we
> also get an indication of what sort of URL to construct.

I understand, but if the user is to define the protocol anyway, but not
the whole URL, would it make it less user-friendly to be defined in the
<list-name> as described above?

-- 
Alexandros Vellis
National & Kapodistrian University of Athens
Network Operations Centre